# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Mon Sep 27 14:31:07 2021
# ------------------------------------------------

package:
  name: lerc
  version: '3.0'
source:
  sha256: 8c0148f5c22d823eff7b2c999b0781f8095e49a7d3195f13c68c5541dd5740a1
  url: https://github.com/Esri/lerc/archive/v3.0.tar.gz
build:
  number: '0'
  run_exports:
    - lerc >=3.0,<4.0a0
  string: h9c3ff4c_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - binutils_impl_linux-64 2.36.1 h193b22a_2
    - binutils_linux-64 2.36 hf3e587d_1
    - bzip2 1.0.8 h7f98852_4
    - c-ares 1.17.2 h7f98852_0
    - ca-certificates 2021.5.30 ha878542_0
    - cmake 3.21.3 h8897547_0
    - expat 2.4.1 h9c3ff4c_0
    - gcc_impl_linux-64 9.4.0 h03d3576_8
    - gcc_linux-64 9.4.0 h391b98a_1
    - gxx_impl_linux-64 9.4.0 h03d3576_8
    - gxx_linux-64 9.4.0 h0316aca_1
    - kernel-headers_linux-64 2.6.32 he073ed8_14
    - krb5 1.19.2 h48eae69_1
    - ld_impl_linux-64 2.36.1 hea4e1c9_2
    - libcurl 7.79.1 h494985f_1
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 h516909a_1
    - libgcc-devel_linux-64 9.4.0 hd854feb_8
    - libgcc-ng 11.2.0 h1d223b6_8
    - libgomp 11.2.0 h1d223b6_8
    - libnghttp2 1.43.0 ha19adfc_1
    - libsanitizer 9.4.0 h79bfe98_8
    - libssh2 1.10.0 ha35d2d1_2
    - libstdcxx-devel_linux-64 9.4.0 hd854feb_8
    - libstdcxx-ng 11.2.0 he4da1e4_8
    - libuv 1.42.0 h7f98852_0
    - lz4-c 1.9.3 h9c3ff4c_1
    - make 4.3 hd18ef5c_1
    - ncurses 6.2 h58526e2_4
    - openssl 3.0.0 h7f98852_0
    - rhash 1.4.1 h7f98852_0
    - sysroot_linux-64 2.12 he073ed8_14
    - tk 8.6.11 h27826a3_1
    - xz 5.2.5 h516909a_1
    - zlib 1.2.11 h516909a_1010
    - zstd 1.5.0 ha95c52a_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 1_gnu
    - libgcc-ng 11.2.0 h1d223b6_8
    - libgomp 11.2.0 h1d223b6_8
    - libstdcxx-ng 11.2.0 he4da1e4_8
  run:
    - libgcc-ng >=9.4.0
    - libstdcxx-ng >=9.4.0
test:
  commands:
    - test -f ${PREFIX}/lib/libLerc${SHLIB_EXT}
    - test -f ${PREFIX}/include/Lerc_types.h
about:
  description: 'LERC is an open-source image or raster format which

    supports rapid encoding and decoding for any pixel type

    (not just RGB or Byte). Users set the maximum compression

    error per pixel while encoding, so the precision of the

    original input image is preserved (within user defined

    error bounds).

    '
  home: https://github.com/Esri/lerc
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: LERC - Limited Error Raster Compression
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - hmaarrfk
